ListBackupStorages
In this article:
ListBackupStorages#
Description#
Request to get the list of backup storages for PaaS services.
Request Parameters#
Request body is absent.
Response Elements#
backupStorages — A dictionary of backup storages. The key is the storage ID, and the value is a BackupStorage object.
Type: Dict
Examples#
Managing PaaS services in K2 Cloud via API requires a customized version of the boto3 library:
import boto3
session = boto3.Session(
aws_access_key_id="<AWS_ACCESS_KEY_ID>",
aws_secret_access_key="<AWS_SECRET_ACCESS_KEY>",
region_name="",
)
paas_client = session.client(
'paas',
endpoint_url='https://paas.ru-msk.k2.cloud/',
)
storages = paas_client.list_backup_storages()
Or c2-paas utility from K2 Cloud API Client software suite:
c2-paas ListBackupStorages